## com.sun.jersey.multipart
Class Boundary

    java.lang.Object
      com.sun.jersey.multipart.Boundary

    public final class Boundary

extends java.lang.Object

Utility for creating boundary parameters.

Author:
  Paul.Sandoz@Sun.Com

Field Summary
`static java.lang.String` | `BOUNDARY_PARAMETER`

Constructor Summary
`Boundary()`

Method Summary
`static javax.ws.rs.core.MediaType` | `addBoundary(javax.ws.rs.core.MediaType mediaType)` Transform a media type and add a boundary parameter with a unique value if one is not already present.
`static java.lang.String` | `createBoundary()` Create a unique boundary.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BOUNDARY_PARAMETER

    public static final java.lang.String BOUNDARY_PARAMETER

See Also:
  Constant Field Values

Constructor Detail

### Boundary

    public Boundary()

Method Detail

### addBoundary

    public static javax.ws.rs.core.MediaType addBoundary(javax.ws.rs.core.MediaType mediaType)

  Transform a media type and add a boundary parameter with a unique value if one is not already present.

  Parameters:
    `mediaType,` - if null then a media type of "multipart/mixed" with a boundary parameter will be returned.
  Returns:
    the media type with a boundary parameter.

### createBoundary

    public static java.lang.String createBoundary()

  Create a unique boundary.

  Returns:
    the boundary.

Copyright © 2017 Oracle Corporation. All Rights Reserved.